Bug 196306

Summary: [NEW PORT] devel/py-kaptan: Config file parser for json, yaml and ini files
Product: Ports & Packages Reporter: Tony Narlock <tony>
Component: Individual Port(s)Assignee: Sunpoet Po-Chuan Hsieh <sunpoet>
Status: Closed FIXED    
Severity: Affects Only Me Keywords: needs-patch, needs-qa, patch
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 196307    
Attachments:
Description Flags
New port for Kaptan
none
New port for py-kaptan
none
New port for kaptan
none
Kaptan poudriere build output none

Description Tony Narlock 2014-12-27 19:33:00 UTC
Created attachment 151001 [details]
New port for Kaptan

(This is my first port submission)

Kaptan normalizes YAML, JSON and INI to python dictionaries. This python library depends on py-yaml.
Comment 1 Tony Narlock 2014-12-27 19:36:41 UTC
Created attachment 151002 [details]
New port for py-kaptan

Fix keywords in makefile, sysutils -> devel. Sorry!
Comment 2 Tony Narlock 2014-12-27 20:35:11 UTC
$ portlint -ACNc
looks fine.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-29 05:08:37 UTC
Thanks Tony, and congratulations on your first port submission :)

If you could attach successful build output (using poudriere) that would be great.

Failing that, include the output of the following as an attachment instead:

make stage && make check-plist && make stage-qa && make package

Also:

- Update WWW: URL to match the PyPi entry (https://github.com/emre/kaptan)
- Strip trailing slash from pkg-descr WWW: URL
- Add LICENSE_FILE=${WRKSRC/LICENSE}
- Sort/Put USES before USE_*
Comment 4 Tony Narlock 2014-12-29 17:00:18 UTC
Created attachment 151072 [details]
New port for kaptan

- Updated with QA fixes https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196306#c3
- Update to kaptan v0.5.8 which includes LICENSE in MANIFEST.in (so we can use LICENSE_FILE)
Comment 5 Tony Narlock 2014-12-29 17:02:25 UTC
Created attachment 151073 [details]
Kaptan poudriere build output

> $ portlint -ACNc
> looks fine.
Comment 6 commit-hook freebsd_committer 2015-03-22 14:59:45 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 22 14:59:28 UTC 2015
New revision: 381923
URL: https://svnweb.freebsd.org/changeset/ports/381923

Log:
  - Add py-kaptan 0.5.8

  Config file parser for Python projects. Supports JSON, INI
  and YAML.

  WWW: https://pypi.python.org/pypi/kaptan

  PR:		196306
  Submitted by:	Tony Narlock <tony@git-pull.com>

Changes:
  head/devel/Makefile
  head/devel/py-kaptan/
  head/devel/py-kaptan/Makefile
  head/devel/py-kaptan/distinfo
  head/devel/py-kaptan/pkg-descr
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-03-22 15:03:54 UTC
Committed. Thanks!